package repository

import (
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	"gorm.io/gorm"
)

type ConfigChecklistRepository interface {
	repository.BaseRepository[entity.ConfigChecklist]
}

type ConfigChecklistRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.ConfigChecklist]
}

func NewConfigChecklistRepository(db *gorm.DB) ConfigChecklistRepository {
	return &ConfigChecklistRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.ConfigChecklist](db),
	}
}
